org.codehaus.plexus.container.initialization

## Class InitializeUserConfigurationSourcePhase

- java.lang.Object
- - org.codehaus.plexus.container.initialization.AbstractContainerInitializationPhase
  - - org.codehaus.plexus.container.initialization.AbstractCoreComponentInitializationPhase
    - - org.codehaus.plexus.container.initialization.InitializeUserConfigurationSourcePhase

All Implemented Interfaces:
  ContainerInitializationPhase

    public class InitializeUserConfigurationSourcePhase
    extends AbstractCoreComponentInitializationPhase

Author:
  Jason van Zyl, cstamas

### Field Summary

### Fields inherited from interface org.codehaus.plexus.container.initialization.ContainerInitializationPhase

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`InitializeUserConfigurationSourcePhase()`

### Method Summary

Methods
`void` `initializeCoreComponent(ContainerInitializationContext context)`

### Methods inherited from class org.codehaus.plexus.container.initialization.AbstractCoreComponentInitializationPhase

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitializeUserConfigurationSourcePhase

    public InitializeUserConfigurationSourcePhase()

### Method Detail

#### initializeCoreComponent

    public void initializeCoreComponent(ContainerInitializationContext context)
                                 throws ContainerInitializationException

Specified by:
  `initializeCoreComponent` in class `AbstractCoreComponentInitializationPhase`
Throws:
  `ContainerInitializationException`